# Created by pyp2rpm-3.2.2
%global pypi_name pre_commit

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        1%{?dist}
Summary:        A framework for managing and maintaining multi-language pre-commit hooks

License:        None
URL:            https://github.com/pre-commit/pre-commit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
UNKNOWN

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-aspy-yaml
Requires:       python-cached_property
Requires:       python-identify >= 1.0.0
Requires:       python-nodeenv >= 0.11.1
Requires:       python-pyyaml
Requires:       python-six
Requires:       python-virtualenv
Requires:       python-setuptools
%description -n python2-%{pypi_name}
UNKNOWN


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install
cp %{buildroot}/%{_bindir}/pre-commit-validate-config %{buildroot}/%{_bindir}/pre-commit-validate-config-%{python2_version}
ln -s %{_bindir}/pre-commit-validate-config-%{python2_version} %{buildroot}/%{_bindir}/pre-commit-validate-config-2
cp %{buildroot}/%{_bindir}/pre-commit-validate-manifest %{buildroot}/%{_bindir}/pre-commit-validate-manifest-%{python2_version}
ln -s %{_bindir}/pre-commit-validate-manifest-%{python2_version} %{buildroot}/%{_bindir}/pre-commit-validate-manifest-2
cp %{buildroot}/%{_bindir}/pre-commit %{buildroot}/%{_bindir}/pre-commit-%{python2_version}
ln -s %{_bindir}/pre-commit-%{python2_version} %{buildroot}/%{_bindir}/pre-commit-2


%files -n python2-%{pypi_name}
%doc README.md
%{_bindir}/pre-commit-validate-config
%{_bindir}/pre-commit-validate-config-2
%{_bindir}/pre-commit-validate-config-%{python2_version}
%{_bindir}/pre-commit-validate-manifest
%{_bindir}/pre-commit-validate-manifest-2
%{_bindir}/pre-commit-validate-manifest-%{python2_version}
%{_bindir}/pre-commit
%{_bindir}/pre-commit-2
%{_bindir}/pre-commit-%{python2_version}
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Dec 31 2017 mockbuilder - 1.4.1-1
- Initial package.